## GgitTransferProgress GgitTransferProgress |

## Functions

gint | (*GgitTransferProgressCallback) ()
GgitTransferProgress * | ggit_transfer_progress_copy ()
void | ggit_transfer_progress_free ()
guint | ggit_transfer_progress_get_total_objects ()
guint | ggit_transfer_progress_get_indexed_objects ()
guint | ggit_transfer_progress_get_received_objects ()
gsize | ggit_transfer_progress_get_received_bytes ()

## Types and Values

| GgitTransferProgress

## Object Hierarchy

        GBoxed
        ╰── GgitTransferProgress

## Description

## Functions

### GgitTransferProgressCallback ()

    gint
    (*GgitTransferProgressCallback) (GgitTransferProgress *stats,
                                     gpointer user_data);

Progress callbacks during indexing.

#### Parameters

stats | a GgitTransferProgress. |
user_data | user-supplied data. | [closure]

#### Returns

a value less than zero to cancel the transfer.

### ggit_transfer_progress_copy ()

    GgitTransferProgress *
    ggit_transfer_progress_copy (GgitTransferProgress *progress);

Copies `progress` into a newly allocated GgitTransferProgress.

#### Parameters

progress | a GgitTransferProgress. |

#### Returns

a newly allocated GgitTransferProgress or `NULL`.

[transfer full][nullable]

### ggit_transfer_progress_free ()

    void
    ggit_transfer_progress_free (GgitTransferProgress *progress);

Frees `progress` .

#### Parameters

progress | a GgitTransferProgress. |

### ggit_transfer_progress_get_total_objects ()

    guint
    ggit_transfer_progress_get_total_objects
                                   (GgitTransferProgress *progress);

Gets the total objects of the transfer.

#### Parameters

progress | a GgitTransferProgress. |

#### Returns

the total objects of the transfer.

### ggit_transfer_progress_get_indexed_objects ()

    guint
    ggit_transfer_progress_get_indexed_objects
                                   (GgitTransferProgress *progress);

Gets the indexed objects of the transfer.

#### Parameters

progress | a GgitTransferProgress. |

#### Returns

the indexed objects of the transfer.

### ggit_transfer_progress_get_received_objects ()

    guint
    ggit_transfer_progress_get_received_objects
                                   (GgitTransferProgress *progress);

Gets the received objects of the transfer.

#### Parameters

progress | a GgitTransferProgress. |

#### Returns

the received objects of the transfer.

### ggit_transfer_progress_get_received_bytes ()

    gsize
    ggit_transfer_progress_get_received_bytes
                                   (GgitTransferProgress *progress);

Gets the received bytes of the transfer.

#### Parameters

progress | a GgitTransferProgress. |

#### Returns

the received bytes of the transfer.

## Types and Values

### GgitTransferProgress

    typedef struct _GgitTransferProgress GgitTransferProgress;

Represents transfering progress.